#!/bin/sh -e

LIBDIR=/usr/share/jed/lib
PREPARSE=$LIBDIR/preparse.sl

case "$1" in
  install|remove)
        # Remove the files in both cases, because some .sl files may have
        # gone and some .slc files may not work with the new jed version
	find $LIBDIR \( -name \*.slc -o -name \*.dfa \) -print0 \
        | xargs -0 --no-run-if-empty rm

        case "$1" in
          install)
		jed-script $PREPARSE || true
		# don't worry if jed-script is missing, because jed runs this
		# script again at installation
                ;;
        esac
	;;
  *)
	echo "unknown argument --> \"$1"\" >&2
	exit 1
	;;
esac
